#---
# Excerpted from "Rails Test Prescriptions",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/nrtest for more book information.
#---
require File.expand_path(File.dirname(__FILE__) + '/../../spec_helper')

describe "/status_reports/index.html.erb" do
  include StatusReportsHelper

  before(:each) do
    assigns[:status_reports] = [
      stub_model(StatusReport,
        :project => 1,
        :user => 1,
        :yesterday => "value for yesterday",
        :today => "value for today"
      ),
      stub_model(StatusReport,
        :project => 1,
        :user => 1,
        :yesterday => "value for yesterday",
        :today => "value for today"
      )
    ]
  end

  it "renders a list of status_reports" do
    render
    response.should have_tag("tr>td", 1.to_s, 2)
    response.should have_tag("tr>td", 1.to_s, 2)
    response.should have_tag("tr>td", "value for yesterday".to_s, 2)
    response.should have_tag("tr>td", "value for today".to_s, 2)
  end
end
